#include <acknex.h>
#include <default.c>
#include "scores.h"

PANEL* scores =	{	pos_x=20; pos_y=20; bmap="scores.tga"; flags=SHOW; }


STRING *line1="";
STRING *line2="";
TEXT* demo_text =	{	pos_x=50; pos_y=250; font="Arial#18b"; flags=SHOW; string(line1,"",line2); }


void main()
{	wait(1);		level_load(NULL);		wait(5);		diag("\n\n\n");
	
	//Make data TEXT's "DISPLAYABLE"
	set(User_Scores.names, SHOW);		User_Scores.names.pos_x  = 30;	User_Scores.names.pos_y  = 60;
	set(User_Scores.teams, SHOW);		User_Scores.teams.pos_x  = 155;	User_Scores.teams.pos_y  = 60;
	set(User_Scores.kills, SHOW);		User_Scores.kills.pos_x  = 210;	User_Scores.kills.pos_y  = 60;
	set(User_Scores.deaths, SHOW);	User_Scores.deaths.pos_x = 270;	User_Scores.deaths.pos_y = 60;
	set(User_Scores.scores, SHOW);	User_Scores.scores.pos_x = 330;	User_Scores.scores.pos_y = 60;
	set(User_Scores.pings, SHOW);		User_Scores.pings.pos_x  = 385;	User_Scores.pings.pos_y  = 60;
	set(User_Scores.logons, SHOW);	User_Scores.logons.pos_x = 445;	User_Scores.logons.pos_y = 60;
	User_Scores.layer = 100;
	User_Scores.font = font_create("Arial#18b");
	vec_set(User_Scores.blue, vector(0,255,255));
	str_cpy(line1, "Showing 'Ascending-Name' Order  (default)");
	//
	//
	wait(-2);
	str_cpy(line2, "Now adding some players using 'game_join'");
	wait(-1);	game_join("Alex",		1);	beep();
	wait(-1);	game_join("David",	2);	beep();
	wait(-1);	game_join("Jake",		3);	beep();
	wait(-1);	game_join("Chris",	1);	beep();
	wait(-1);	game_join("Bobby",	2);	beep();
	wait(-1);	game_join("Richard",	3);	beep();
	str_cpy(line2, "");
	//
	//
	wait(-3);
	str_cpy(line2, "Now add some scores using 'game_player_scores'");
	wait(-1);	game_player_scores("Alex",		random(15), random(15), random(15));
	wait(-1);	game_player_scores("David",	random(15), random(15), random(15));
	wait(-1);	game_player_scores("Jake",		random(15), random(15), random(15));
	wait(-1);	game_player_scores("Chris",	random(15), random(15), random(15));
	wait(-1);	game_player_scores("Bobby",	random(15), random(15), random(15));
	wait(-1);	game_player_scores("Richard",	random(15), random(15), random(15));
	str_cpy(line2, "");
	//
	//
	wait(-3);
	str_cpy(line2, "Now add some ping values using 'game_set_ping'");
	wait(-1);	game_set_ping("Alex",		random(500)+200);
	wait(-1);	game_set_ping("David",		random(500)+200);
	wait(-1);	game_set_ping("Jake",		random(500)+200);
	wait(-1);	game_set_ping("Chris",		random(500)+200);
	wait(-1);	game_set_ping("Bobby",		random(500)+200);
	wait(-1);	game_set_ping("Richard",	random(500)+200);
	str_cpy(line2, "");
	//
	//
	wait(-3);
	str_cpy(line2, "Lets try a few different sort orders.");
	wait(-3);	User_Scores.state = 2;	str_cpy(line1, "Showing 'Ascending-Team' Order");
	wait(-3);	User_Scores.state = 3;	str_cpy(line1, "Showing 'Ascending-Kills' Order");
	wait(-3);	User_Scores.state = 4;	str_cpy(line1, "Showing 'Ascending-Deaths' Order");
	wait(-3);	User_Scores.state = 5;	str_cpy(line1, "Showing 'Ascending-Score' Order");
	//
	//
	wait(-3);
	str_cpy(line2, "Now lets try descending sort orders.");
	wait(-3);	User_Scores.state = -1;	str_cpy(line1, "Showing 'Descending-Name' Order");
	wait(-3);	User_Scores.state = -2;	str_cpy(line1, "Showing 'Descending-Team' Order");
	wait(-3);	User_Scores.state = -3;	str_cpy(line1, "Showing 'Descending-Kills' Order");
	wait(-3);	User_Scores.state = -4;	str_cpy(line1, "Showing 'Descending-Deaths' Order");
	wait(-3);	User_Scores.state = -5;	str_cpy(line1, "Showing 'Descending-Score' Order");
	str_cpy(line2, "");
	//
	//
	wait(-3);	User_Scores.state = 1;	str_cpy(line1, "Showing 'Ascending-Name' Order  (default)");
	str_cpy(line2, "Now lets try removing a couple of players.");
	wait(-3);	str_cpy(line2, "Say goodbye to Chris.... (thanks to 'game_leave')");
	wait(-3);	game_leave("Chris");			beep();
	str_cpy(line2, "Say goodbye to Chris.... (thanks to 'game_leave')");
	//
	//
	wait(-3);	str_cpy(line2, "And now Jakes logged off too...");
	wait(-3);	game_leave("Jake");			beep();
	wait(-3);	str_cpy(line2, "");
	//
	//
	wait(-3);	User_Scores.state = 2;	str_cpy(line1, "Showing 'Ascending-Team' Order");
	str_cpy(line2, "Damn! Bobby just changed teams!  (Thanks to 'game_set_team')");
	wait(-3);	game_set_team("Bobby", 3);		beep();
	//
	//
	wait(-3);	User_Scores.state = 1;	str_cpy(line1, "Showing 'Ascending-Name' Order  (default)");
	str_cpy(line2, "And now we've started a new level. Time to reset the scores.");
	wait(-3);	str_cpy(line2, "Time to use 'game_zero'");
	wait(-3);	game_zero();		beep();
	//
	//
	wait(-3);	str_cpy(line2, "Ah bugger!  The network dropped out. Everyone is gone!");
	wait(-3);	str_cpy(line2, "Time to flush the table, using 'game_clear'");
	wait(-3);	game_clear();		beep();


	//
	//
	wait(-5);	str_cpy(line2, "Thats it for the demo.  I cant think of anything else...");
	//
}

